## ros-melodic-ackermann-steering-controller 0.17.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(ackermann_steering_controller)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

find_package(catkin REQUIRED COMPONENTS
  controller_interface
  diff_drive_controller
  hardware_interface
  nav_msgs
  pluginlib
  realtime_tools
  roscpp
  tf
  urdf
)

find_package(Boost REQUIRED COMPONENTS system thread)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS
    controller_interface
    diff_drive_controller
    hardware_interface
    nav_msgs
    realtime_tools
    roscpp
    tf
  DEPENDS Boost
)

include_directories(
  include
  ${Boost_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME} src/ackermann_steering_controller.cpp src/odometry.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES ackermann_steering_controller_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

if (CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS
    controller_manager
    geometry_msgs
    rostest
    rosunit
    std_msgs
    std_srvs
    tf
    xacro
  )
  include_directories(${catkin_INCLUDE_DIRS})

  add_executable(${PROJECT_NAME}_ackermann_steering_bot test/common/src/ackermann_steering_bot.cpp)
  add_dependencies(tests ${PROJECT_NAME}_ackermann_steering_bot)

  target_link_libraries(${PROJECT_NAME}_ackermann_steering_bot ${catkin_LIBRARIES})
  add_rostest_gtest(${PROJECT_NAME}_test
    test/ackermann_steering_controller_test/ackermann_steering_controller.test
    test/ackermann_steering_controller_test/ackermann_steering_controller_test.cpp)
  target_link_libraries(${PROJECT_NAME}_test ${catkin_LIBRARIES})

  add_rostest_gtest(${PROJECT_NAME}_nan_test
    test/ackermann_steering_controller_nan_test/ackermann_steering_controller_nan.test
    test/ackermann_steering_controller_nan_test/ackermann_steering_controller_nan_test.cpp)
  target_link_libraries(${PROJECT_NAME}_nan_test ${catkin_LIBRARIES})

  add_rostest_gtest(${PROJECT_NAME}_limits_test
    test/ackermann_steering_controller_limits_test/ackermann_steering_controller_limits.test
    test/ackermann_steering_controller_limits_test/ackermann_steering_controller_limits_test.cpp)
  target_link_libraries(${PROJECT_NAME}_limits_test ${catkin_LIBRARIES})

  add_rostest_gtest(${PROJECT_NAME}_timeout_test
    test/ackermann_steering_controller_timeout_test/ackermann_steering_controller_timeout.test
    test/ackermann_steering_controller_timeout_test/ackermann_steering_controller_timeout_test.cpp)
  target_link_libraries(${PROJECT_NAME}_timeout_test ${catkin_LIBRARIES})

  add_rostest_gtest(ackermann_steering_controller_fail_test
    test/ackermann_steering_controller_fail_test/ackermann_steering_controller_wrong.test
    test/ackermann_steering_controller_fail_test/ackermann_steering_controller_fail_test.cpp)
  target_link_libraries(ackermann_steering_controller_fail_test ${catkin_LIBRARIES})

  add_rostest_gtest(${PROJECT_NAME}_odom_tf_test
    test/ackermann_steering_controller_odom_tf_test/ackermann_steering_controller_odom_tf.test
    test/ackermann_steering_controller_odom_tf_test/ackermann_steering_controller_odom_tf_test.cpp)
  target_link_libraries(${PROJECT_NAME}_odom_tf_test ${catkin_LIBRARIES})

  add_rostest_gtest(${PROJECT_NAME}_default_odom_frame_test
    test/ackermann_steering_controller_default_odom_frame_test/ackermann_steering_controller_default_odom_frame.test
    test/ackermann_steering_controller_default_odom_frame_test/ackermann_steering_controller_default_odom_frame_test.cpp)
  target_link_libraries(${PROJECT_NAME}_default_odom_frame_test ${catkin_LIBRARIES})

  add_rostest_gtest(ackermann_steering_controller_odom_frame_test
    test/ackermann_steering_controller_odom_frame_test/ackermann_steering_controller_odom_frame.test
    test/ackermann_steering_controller_odom_frame_test/ackermann_steering_controller_odom_frame_test.cpp)
  target_link_libraries(ackermann_steering_controller_odom_frame_test ${catkin_LIBRARIES})

  add_rostest(test/ackermann_steering_controller_open_loop_test/ackermann_steering_controller_open_loop.test)
  add_rostest(test/ackermann_steering_controller_no_wheel_test/ackermann_steering_controller_no_wheel.test)
  add_rostest(test/ackermann_steering_controller_no_steer_test/ackermann_steering_controller_no_steer.test)
  add_rostest(test/ackermann_steering_controller_radius_param_test/ackermann_steering_controller_radius_param.test)
  add_rostest(test/ackermann_steering_controller_radius_param_fail_test/ackermann_steering_controller_radius_param_fail.test)
  add_rostest(test/ackermann_steering_controller_separation_param_test/ackermann_steering_controller_separation_param.test)
endif()

=== debian/changelog ===
ros-melodic-ackermann-steering-controller (0.17.1-1stretch) stretch; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sat, 05 Dec 2020 00:00:00 -0000

ros-melodic-ackermann-steering-controller (0.17.0-1stretch) stretch; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Mon, 11 May 2020 23:00:00 -0000

ros-melodic-ackermann-steering-controller (0.16.1-1stretch) stretch; urgency=high

  * Remove gazebo_ros test dependency
  * Contributors: Bence Magyar

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sun, 26 Apr 2020 23:00:00 -0000

ros-melodic-ackermann-steering-controller (0.16.0-1stretch) stretch; urgency=high

  * Bump CMake version to prevent CMP0048
  * Add missing header guards
  * Replace header guard with #pragma once
  * Prefix every xacro tag with 'xacro:'
  * Modernize xacro
    - Remove '--inorder'
    - Use 'xacro' over 'xacro.py'
  * swap implementations of read and write methods
    Follows the intended use of hardware_interface::RobotHW,
    see its documentation for details
  * Contributors: Franz, Matt Reynolds

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Wed, 15 Apr 2020 23:00:00 -0000

ros-melodic-ackermann-steering-controller (0.15.1-1stretch) stretch; urgency=high

  * Fix test for ackermann_steering_controller
  * Use nullptr (#447 <https://github.com/ros-controls/ros_controllers/issues/447>)
  * Update null link pointer error message
  * removed cyclic debug output from ackermann_steering_bot
  * add include directories for tests in {ackermann/four_wheel}_steering_controller
  * Contributors: Bence Magyar, Immanuel Martini, Mathias Lüdtke, Matt Reynolds

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Mon, 09 Mar 2020 00:00:00 -0000

ros-melodic-ackermann-steering-controller (0.15.0-1stretch) stretch; urgency=high

  * Default all controller builds to C++14
  * boost::assign -> C++ initializer list
  * boost::shared_ptr -> std::shared_ptr
  * Contributors: Bence Magyar, Gennaro Raiola

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Tue, 26 Mar 2019 00:00:00 -0000

ros-melodic-ackermann-steering-controller (0.14.3-1stretch) stretch; urgency=high

  * Sync version number with rest of repo
  * migrate to new URDF shared pointer types
  * Add ackermann_steering_controller (#356 <https://github.com/ros-controls/ros_controllers/issues/356>)
  * Contributors: Bence Magyar, Mathias Lüdtke, Mori
  * Sync version number with rest of repo
  * migrate to new URDF shared pointer types
  * Add ackermann_steering_controller (#356 <https://github.com/ros-controls/ros_controllers/issues/356>)
  * Contributors: Bence Magyar, Mathias Lüdtke, Mori

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sat, 09 Feb 2019 00:00:00 -0000

ros-melodic-ackermann-steering-controller (0.14.2-1stretch) stretch; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Mon, 22 Oct 2018 23:00:00 -0000

ros-melodic-ackermann-steering-controller (0.14.1-1stretch) stretch; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Mon, 25 Jun 2018 23:00:00 -0000

ros-melodic-ackermann-steering-controller (0.14.0-1stretch) stretch; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Thu, 26 Apr 2018 23:00:00 -0000

ros-melodic-ackermann-steering-controller (0.13.2-1stretch) stretch; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sat, 23 Dec 2017 00:00:00 -0000

ros-melodic-ackermann-steering-controller (0.13.1-1stretch) stretch; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Mon, 06 Nov 2017 00:00:00 -0000

ros-melodic-ackermann-steering-controller (0.13.0-1stretch) stretch; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Wed, 09 Aug 2017 23:00:00 -0000

ros-melodic-ackermann-steering-controller (0.12.3-1stretch) stretch; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sat, 22 Apr 2017 23:00:00 -0000

ros-melodic-ackermann-steering-controller (0.12.2-1stretch) stretch; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Thu, 20 Apr 2017 23:00:00 -0000

ros-melodic-ackermann-steering-controller (0.12.1-1stretch) stretch; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Wed, 08 Mar 2017 00:00:00 -0000

ros-melodic-ackermann-steering-controller (0.12.0-1stretch) stretch; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Wed, 15 Feb 2017 00:00:00 -0000

ros-melodic-ackermann-steering-controller (0.11.2-1stretch) stretch; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Mon, 15 Aug 2016 23:00:00 -0000

ros-melodic-ackermann-steering-controller (0.11.1-1stretch) stretch; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sun, 22 May 2016 23:00:00 -0000

ros-melodic-ackermann-steering-controller (0.11.0-1stretch) stretch; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Mon, 02 May 2016 23:00:00 -0000

ros-melodic-ackermann-steering-controller (0.10.0-1stretch) stretch; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Fri, 20 Nov 2015 00:00:00 -0000

ros-melodic-ackermann-steering-controller (0.9.2-1stretch) stretch; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sun, 03 May 2015 23:00:00 -0000

ros-melodic-ackermann-steering-controller (0.9.1-1stretch) stretch; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Mon, 03 Nov 2014 00:00:00 -0000

ros-melodic-ackermann-steering-controller (0.9.0-1stretch) stretch; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Fri, 31 Oct 2014 00:00:00 -0000

ros-melodic-ackermann-steering-controller (0.8.1-1stretch) stretch; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Thu, 10 Jul 2014 23:00:00 -0000

ros-melodic-ackermann-steering-controller (0.8.0-1stretch) stretch; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sun, 11 May 2014 23:00:00 -0000

ros-melodic-ackermann-steering-controller (0.7.2-1stretch) stretch; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Mon, 31 Mar 2014 23:00:00 -0000



=== debian/control ===
Source: ros-melodic-ackermann-steering-controller
Section: misc
Priority: optional
Maintainer: Masaru Morita <p595201m@mail.kyutech.jp>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-melodic-catkin, ros-melodic-controller-interface, ros-melodic-controller-manager, ros-melodic-diff-drive-controller, ros-melodic-geometry-msgs, ros-melodic-hardware-interface, ros-melodic-nav-msgs, ros-melodic-pluginlib, ros-melodic-realtime-tools, ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-rosunit, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-tf, ros-melodic-urdf, ros-melodic-xacro
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-ackermann-steering-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-melodic-controller-interface, ros-melodic-diff-drive-controller, ros-melodic-hardware-interface, ros-melodic-nav-msgs, ros-melodic-pluginlib, ros-melodic-realtime-tools, ros-melodic-roscpp, ros-melodic-tf, ros-melodic-urdf
Description: Controller for a steer drive mobile base.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-ackermann-steering-controller//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-ackermann-steering-controller 0.17.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -42,15 +42,6 @@
 
 add_library(${PROJECT_NAME} src/ackermann_steering_controller.cpp src/odometry.cpp)
 target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
-
-install(TARGETS ${PROJECT_NAME}
-  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
-  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
-  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
-)
-
-install(FILES ackermann_steering_controller_plugins.xml
-  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
 
 if (CATKIN_ENABLE_TESTING)
   find_package(catkin REQUIRED COMPONENTS
@@ -116,3 +107,23 @@
   add_rostest(test/ackermann_steering_controller_radius_param_fail_test/ackermann_steering_controller_radius_param_fail.test)
   add_rostest(test/ackermann_steering_controller_separation_param_test/ackermann_steering_controller_separation_param.test)
 endif()
+
+#############
+## Install ##
+#############
+
+# Install headers
+install(DIRECTORY include/${PROJECT_NAME}/
+  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
+)
+
+# Install targets
+install(TARGETS ${PROJECT_NAME}
+  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
+  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
+  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
+)
+
+# Install plugins
+install(FILES ${PROJECT_NAME}_plugins.xml
+  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-melodic-ackermann-steering-controller (0.17.3-1bionic) bionic; urgency=high

  * Install headers of ackermann_steering_controller
  * Contributors: Bence Magyar, Martin Pecka

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Tue, 31 Jan 2023 00:00:00 -0000

ros-melodic-ackermann-steering-controller (0.17.2-1bionic) bionic; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Wed, 20 Jan 2021 00:00:00 -0000

ros-melodic-ackermann-steering-controller (0.17.1-1bionic) bionic; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sat, 05 Dec 2020 00:00:00 -0000

ros-melodic-ackermann-steering-controller (0.17.0-1bionic) bionic; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Mon, 11 May 2020 23:00:00 -0000

ros-melodic-ackermann-steering-controller (0.16.1-1bionic) bionic; urgency=high

  * Remove gazebo_ros test dependency
  * Contributors: Bence Magyar

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sun, 26 Apr 2020 23:00:00 -0000

ros-melodic-ackermann-steering-controller (0.16.0-1bionic) bionic; urgency=high

  * Bump CMake version to prevent CMP0048
  * Add missing header guards
  * Replace header guard with #pragma once
  * Prefix every xacro tag with 'xacro:'
  * Modernize xacro
    - Remove '--inorder'
    - Use 'xacro' over 'xacro.py'
  * swap implementations of read and write methods
    Follows the intended use of hardware_interface::RobotHW,
    see its documentation for details
  * Contributors: Franz, Matt Reynolds

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Wed, 15 Apr 2020 23:00:00 -0000

ros-melodic-ackermann-steering-controller (0.15.1-1bionic) bionic; urgency=high

  * Fix test for ackermann_steering_controller
  * Use nullptr (#447 <https://github.com/ros-controls/ros_controllers/issues/447>)
  * Update null link pointer error message
  * removed cyclic debug output from ackermann_steering_bot
  * add include directories for tests in {ackermann/four_wheel}_steering_controller
  * Contributors: Bence Magyar, Immanuel Martini, Mathias Lüdtke, Matt Reynolds

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Mon, 09 Mar 2020 00:00:00 -0000

ros-melodic-ackermann-steering-controller (0.15.0-1bionic) bionic; urgency=high

  * Default all controller builds to C++14
  * boost::assign -> C++ initializer list
  * boost::shared_ptr -> std::shared_ptr
  * Contributors: Bence Magyar, Gennaro Raiola

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Tue, 26 Mar 2019 00:00:00 -0000

ros-melodic-ackermann-steering-controller (0.14.3-1bionic) bionic; urgency=high

  * Sync version number with rest of repo
  * migrate to new URDF shared pointer types
  * Add ackermann_steering_controller (#356 <https://github.com/ros-controls/ros_controllers/issues/356>)
  * Contributors: Bence Magyar, Mathias Lüdtke, Mori
  * Sync version number with rest of repo
  * migrate to new URDF shared pointer types
  * Add ackermann_steering_controller (#356 <https://github.com/ros-controls/ros_controllers/issues/356>)
  * Contributors: Bence Magyar, Mathias Lüdtke, Mori

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sat, 09 Feb 2019 00:00:00 -0000

ros-melodic-ackermann-steering-controller (0.14.2-1bionic) bionic; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Mon, 22 Oct 2018 23:00:00 -0000

ros-melodic-ackermann-steering-controller (0.14.1-1bionic) bionic; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Mon, 25 Jun 2018 23:00:00 -0000

ros-melodic-ackermann-steering-controller (0.14.0-1bionic) bionic; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Thu, 26 Apr 2018 23:00:00 -0000

ros-melodic-ackermann-steering-controller (0.13.2-1bionic) bionic; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sat, 23 Dec 2017 00:00:00 -0000

ros-melodic-ackermann-steering-controller (0.13.1-1bionic) bionic; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Mon, 06 Nov 2017 00:00:00 -0000

ros-melodic-ackermann-steering-controller (0.13.0-1bionic) bionic; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Wed, 09 Aug 2017 23:00:00 -0000

ros-melodic-ackermann-steering-controller (0.12.3-1bionic) bionic; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sat, 22 Apr 2017 23:00:00 -0000

ros-melodic-ackermann-steering-controller (0.12.2-1bionic) bionic; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Thu, 20 Apr 2017 23:00:00 -0000

ros-melodic-ackermann-steering-controller (0.12.1-1bionic) bionic; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Wed, 08 Mar 2017 00:00:00 -0000

ros-melodic-ackermann-steering-controller (0.12.0-1bionic) bionic; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Wed, 15 Feb 2017 00:00:00 -0000

ros-melodic-ackermann-steering-controller (0.11.2-1bionic) bionic; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Mon, 15 Aug 2016 23:00:00 -0000

ros-melodic-ackermann-steering-controller (0.11.1-1bionic) bionic; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sun, 22 May 2016 23:00:00 -0000

ros-melodic-ackermann-steering-controller (0.11.0-1bionic) bionic; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Mon, 02 May 2016 23:00:00 -0000

ros-melodic-ackermann-steering-controller (0.10.0-1bionic) bionic; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Fri, 20 Nov 2015 00:00:00 -0000

ros-melodic-ackermann-steering-controller (0.9.2-1bionic) bionic; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sun, 03 May 2015 23:00:00 -0000

ros-melodic-ackermann-steering-controller (0.9.1-1bionic) bionic; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Mon, 03 Nov 2014 00:00:00 -0000

ros-melodic-ackermann-steering-controller (0.9.0-1bionic) bionic; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Fri, 31 Oct 2014 00:00:00 -0000

ros-melodic-ackermann-steering-controller (0.8.1-1bionic) bionic; urgency=high





=== debian/control ===
Source: ros-melodic-ackermann-steering-controller
Section: misc
Priority: optional
Maintainer: Masaru Morita <p595201m@mail.kyutech.jp>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-melodic-catkin, ros-melodic-controller-interface, ros-melodic-controller-manager <!nocheck>, ros-melodic-diff-drive-controller, ros-melodic-geometry-msgs <!nocheck>, ros-melodic-hardware-interface, ros-melodic-nav-msgs, ros-melodic-pluginlib, ros-melodic-realtime-tools, ros-melodic-roscpp, ros-melodic-rostest <!nocheck>, ros-melodic-rosunit <!nocheck>, ros-melodic-std-msgs <!nocheck>, ros-melodic-std-srvs <!nocheck>, ros-melodic-tf, ros-melodic-urdf, ros-melodic-xacro <!nocheck>
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-ackermann-steering-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-melodic-controller-interface, ros-melodic-diff-drive-controller, ros-melodic-hardware-interface, ros-melodic-nav-msgs, ros-melodic-pluginlib, ros-melodic-realtime-tools, ros-melodic-roscpp, ros-melodic-tf, ros-melodic-urdf
Description: Controller for a steer drive mobile base.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
